TICKIT_RENDERBUFFER_COPYRECT(3)

NAME
tickit_renderbuffer_copyrect, tickit_renderbuffer_moverect - copy or move a rectangular region of a buffer

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_copyrect(TickitRenderBuffer *rb,
            const TickitRect *dest, const TickitRect *src);
    void tickit_renderbuffer_moverect(TickitRenderBuffer *rb,
            const TickitRect *dest, const TickitRect *src);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_copyrect() copies the rectangular region in the buffer from the rectangle given by src into the location given by dest.

tickit_renderbuffer_moverect() moves content in the rectangular region in the buffer given by src into the location given by dest, resetting the region migrated out from back to the skip state.

In each case, the two regions may overlap. These functions will also copy cells in skip state; that is, cells set to skip in the source region are set to skip in the destination.

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_flush_to_term(3), tickit_renderbuffer(7), tickit(7)